be.vlaanderen.mercurius.mohm.schemas.v1

## Enum SupportAndRepairStatusType

- java.lang.Object
- - java.lang.Enum<SupportAndRepairStatusType>
  - - be.vlaanderen.mercurius.mohm.schemas.v1.SupportAndRepairStatusType

- All Implemented Interfaces:
    Serializable, Comparable<SupportAndRepairStatusType>

      public enum SupportAndRepairStatusType
      extends Enum<SupportAndRepairStatusType>

  Java class for SupportAndRepairStatusType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="SupportAndRepairStatusType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="Received"/>
           <enumeration value="Accepted"/>
           <enumeration value="Refused"/>
           <enumeration value="Active"/>
           <enumeration value="Non_active"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPTED` Het budget is aanvaard.
    `ACTIVE` Het budget is actief.
    `NON_ACTIVE` Het budget is niet meer actief.
    `RECEIVED` Aanvraag voor budget is ontvangen.
    `REFUSED` Het budget is geweigerd.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SupportAndRepairStatusType` | `fromValue(String v)`
    `String` | `value()`
    `static SupportAndRepairStatusType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SupportAndRepairStatusType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RECEIVED

          public static final SupportAndRepairStatusType RECEIVED

      Aanvraag voor budget is ontvangen.

    - #### ACCEPTED

          public static final SupportAndRepairStatusType ACCEPTED

      Het budget is aanvaard.

    - #### REFUSED

          public static final SupportAndRepairStatusType REFUSED

      Het budget is geweigerd.

    - #### ACTIVE

          public static final SupportAndRepairStatusType ACTIVE

      Het budget is actief.

    - #### NON_ACTIVE

          public static final SupportAndRepairStatusType NON_ACTIVE

      Het budget is niet meer actief.

  - ### Method Detail

    - #### values

          public static SupportAndRepairStatusType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SupportAndRepairStatusType c : SupportAndRepairStatusType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SupportAndRepairStatusType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static SupportAndRepairStatusType fromValue(String v)

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.